Bug 969875 - Unexpected error / warning during scaled cart add
Unexpected error / warning during scaled cart add
Status: CLOSED WORKSFORME
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 16:52 EDT by Clayton Coleman
Modified: 2015-05-14 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 19:33:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-02 16:52:55 EDT
During setup of a scaled cart, I'm seeing an unusual/unexpected error in node/platform-trace.log.  It doesn't appear to block creation, but it seems questionable.  

1) rhc create-app foo php-5.3 -s
2) rhc add-cartridge "http://cartreflect-claytondev.rhcloud.com/reflect?github=smarterclayton/openshift-redis-cart&commit=6dca180bb06412a261d7211d9d8fe1211afe32d8"

The trace comes immediately after the downloadable cart is unpacked.

June 02 16:47:55 DEBUG oo_spawn running /usr/sbin/lsof -i @127.0.251.1:16379: {:unsetenv_others=>false, :close_others=>true, :in=>"/dev/null", :out=>#<IO:fd 11>, :err=>#<IO:fd 9>}
June 02 16:47:55 DEBUG oo_spawn running /sbin/runuser -m -s /bin/sh ad03ffc0cbc511e2a73512313d1704b9 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c502' /bin/sh -c \"/var/lib/openshift/ad03ffc0cbc511e2a73512313d1704b9/redis/bin/setup --version 2.6\"": {:unsetenv_others=>true, :close_others=>true, :in=>"/dev/null", :chdir=>"/var/lib/openshift/ad03ffc0cbc511e2a73512313d1704b9/redis", :out=>#<IO:fd 11>, :err=>#<IO:fd 9>}
June 02 16:47:57 DEBUG oo_spawn buffer(7/) head: 
June 02 16:47:57 DEBUG oo_spawn buffer(7/) -version: invalid number of bytes
June 02 16:47:57 DEBUG oo_spawn buffer(7/) 

The cart appears to be deployed correctly, but this error does not occur when installing to an unscaled app.

Should not block sprint exit.
Comment 1 Jhon Honce 2013-06-02 19:04:29 EDT
The setup script is being called with --version 2.6. Therefore, the head call in the line will, after expansion, look like:

cat /dev/urandom | head -c--version | sha256sum | base64 | head -c 30 > env/REDIS_PASSWORD 

-c should be a number not a string.

Making this a low severity to determine why the error is not displayed in the non-scaled install. The call to setup should always provide version so the message should always be logged.
Comment 2 Jhon Honce 2013-08-08 19:33:50 EDT
Scaled...
August 08 19:25:26 INFO oo_spawn running /sbin/runuser -s /bin/sh c958838a008111e39b0412313d3189bc -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c514' /bin/sh -c \"/var/lib/openshift/c958838a008111e39b0412313d3189bc/redis/bin/setup --version 2.6\"": {:unsetenv_others=>true, :close_others=>true, :in=>"/dev/null", :chdir=>"/var/lib/openshift/c958838a008111e39b0412313d3189bc/redis", :out=>#<IO:fd 12>, :err=>#<IO:fd 10>}
August 08 19:25:26 INFO oo_spawn buffer(6/) head:
August 08 19:25:26 INFO oo_spawn buffer(6/) -version: invalid number of bytes
August 08 19:25:26 INFO oo_spawn buffer(6/)


Unscaled...
August 08 19:29:15 INFO oo_spawn running /sbin/runuser -s /bin/sh 158476132717221403164672 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c0,c515' /bin/sh -c \"/var/lib/openshift/158476132717221403164672/redis/bin/setup --version 2.6\"": {:unsetenv_others=>true, :close_others=>true, :in=>"/dev/null", :chdir=>"/var/lib/openshift/158476132717221403164672/redis", :out=>#<IO:fd 12>, :err=>#<IO:fd 10>}
August 08 19:29:15 INFO oo_spawn buffer(6/) head:
August 08 19:29:15 INFO oo_spawn buffer(6/) -version: invalid number of bytes
August 08 19:29:15 INFO oo_spawn buffer(6/)

Note You need to log in before you can comment on or make changes to this bug.